### Class

# Phosh LayoutManager

since: 0

#### Description

    final class Phosh.LayoutManager : GObject.Object
    {
      /* No available fields */
    }

No description available.

Available since: 0

#### Ancestors

- GObject

#### Constructors

###### phosh_layout_manager_new

No description available.

since: 0

#### Instance methods

###### phosh_layout_manager_get_clock_pos

The top bar’s clock position.

since: 0

###### phosh_layout_manager_get_clock_shift

The settings clock position.

since: 0

###### phosh_layout_manager_get_corner_shift

Gets the amount of pixels UI elements should be moved to towards the center because of rounded corners.

since: 0

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

###### Phosh.LayoutManager::layout-changed

No description available.

since: 0

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

unstable since: 2.0

#### Class structure

    struct PhoshLayoutManagerClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`
  No description available.